Search found 475 matches

Go to advanced search

by Gift
Sun Dec 29, 2019 7:32 am
Forum: Draft, Arch & BIM
Topic: Making the creation of arrays more user friendly
Replies: 25
Views: 993

Re: Making the creation of arrays more user friendly

Hello busy bee (vocx), I observe your work on the draft module. The code splitting is a necessary measure. Some questions: 1. How solve you the compatibility when you splitting the array types to old freecad files? 2. Will the class _Array stay in Draft.py? 3. Is alteration in the test unit projecte...
by Gift
Sun Dec 29, 2019 7:11 am
Forum: Forum in Deutsch
Topic: Problem mit circularem Array
Replies: 13
Views: 413

Re: Problem mit circularem Array

Ich habe jetzt keinen Rechnet hier. Aber es macht in Deinem Fall 3 Kreise (einer hat Radius 0 und ist das Objekt in der Mitte, wobei die Kreise 40mm Abstand haben und die Objekte auf einem Kreis mindestens 10 mm voneinander entfernt sind. Gedreht wird um den Objektursprung, der liegt bei Dir nicht ...
by Gift
Tue Dec 24, 2019 1:30 pm
Forum: Forum in Deutsch
Topic: Probleme mit Draft Array
Replies: 12
Views: 427

Re: Probleme mit Draft Array

Huhu, PR ist gestellt. Siehe https://forum.freecadweb.org/viewtopic.php?f=17&t=41922 Evt. hat noch jemand eine bessere Lösung.

Gruß
Benjamin
by Gift
Tue Dec 24, 2019 1:26 pm
Forum: Pull Requests
Topic: PR 2820, Draft polar array fix
Replies: 0
Views: 201

PR 2820, Draft polar array fix

PR #2820 Hello everybody, Since the commit of Draft_LinkArray the DraftArray do not produce the same result with polar type as usual. This is a breach to fork 18.4. The initiator is this German discussion. My solution is to separate the object vector and the object rotation of the placement. Then r...
by Gift
Tue Dec 24, 2019 9:07 am
Forum: Forum in Deutsch
Topic: Probleme mit Draft Array
Replies: 12
Views: 427

Re: Probleme mit Draft Array

Oops, doppelt gepostet. Ich habe gegenüber meiner Version auch noch eine Änderung in Zeile 1792: alt: if hasattr(obj,'Shape') and (getType(obj) not in ["WorkingPlaneProxy"]): neu: if hasattr(obj,'Shape') and (getType(obj) not in ["WorkingPlaneProxy","BuildingPart"]): Soll ich da auch die neue Varian...
by Gift
Tue Dec 24, 2019 7:23 am
Forum: Forum in Deutsch
Topic: Probleme mit Draft Array
Replies: 12
Views: 427

Re: Probleme mit Draft Array

Hallo, seit einiger Zeit habe ich verschiedene Probleme mit dem polarem Draft Arrays. Eines habe ich recht exakt seit Einführung des Array Typs "circular", ein anderes habe ich erst später bemerkt. Aloha, das Problem scheint mit LinkArray gekommen zu sein. Früher wurde der Inhalt eines Objektes kop...
by Gift
Tue Dec 24, 2019 7:22 am
Forum: Forum in Deutsch
Topic: Probleme mit Draft Array
Replies: 12
Views: 427

Re: Probleme mit Draft Array

Hallo, seit einiger Zeit habe ich verschiedene Probleme mit dem polarem Draft Arrays. Eines habe ich recht exakt seit Einführung des Array Typs "circular", ein anderes habe ich erst später bemerkt. Aloha, das Problem scheint mit LinkArray gekommen zu sein. Früher wurde der Inhalt eines Objektes kop...
by Gift
Mon Dec 23, 2019 10:03 pm
Forum: Forum in Deutsch
Topic: Problem mit circularem Array
Replies: 13
Views: 413

Re: Problem mit circularem Array

rynn wrote: Ping
by Gift
Mon Dec 23, 2019 9:59 pm
Forum: Forum in Deutsch
Topic: Probleme mit Draft Array
Replies: 12
Views: 427

Re: Probleme mit Draft Array

Hallo, seit einiger Zeit habe ich verschiedene Probleme mit dem polarem Draft Arrays. Eines habe ich recht exakt seit Einführung des Array Typs "circular", ein anderes habe ich erst später bemerkt. Aloha, das Problem scheint mit LinkArray gekommen zu sein. Früher wurde der Inhalt eines Objektes kop...
by Gift
Sun Dec 15, 2019 10:48 am
Forum: Forum in Deutsch
Topic: Zusammenhängende Konturen (Entwurf)
Replies: 0
Views: 310

Zusammenhängende Konturen (Entwurf)

1. Grundlagen Eine zusammenhängende Kontur muss aus mehreren Kanten (Edges) bestehen. Um dies zu prüfen, können Sie eine Kontur im Baum auswählen und folgenden Skript ausführen: sel = Gui.Selection.getSelection()[0] FreeCAD.Console.PrintMessage(len(sel.Shape.Edges)) Über die Geometrieprüfung im Arb...

Go to advanced search